Subject: PCEF Committee Recruitment - Please Share!
From: "Gilmore, Rachel" <[email-masked]>
Cc: "Baraso, Sam" <[email-masked]>, "Lister, Cady" <[email-masked]>, "Valdez, Jaimes" <[email-masked]>
Date: Mon, 22 Jan 2024 10:13:24 -0800

Hi PCEF Committee,

I hope everyone is thawing out and getting back to some normalcy! As Michael prepares to roll off of the Committee, we are recruiting for one new member, specifically someone who brings experience in the field of commercial renewable energy and energy efficiency..

The recruitment is now live! You can view the recruitment here: https://www.governmentjobs.com/careers/portlandor/jobs/4334051/volunteer-non-paid-position-portland-clean-energy-fund-benefits-fund-committe

The application deadline is Tuesday, February 13th.

Please share with your networks and let us know if you know someone we should reach out to personally to discuss the opportunity. Below, I&#8217;ve included a sample email you can copy if helpful. Thanks!

Subject:  PCEF Committee Member Recruitment &#8211; Invitation to Apply

Hi XXXXX,

I hope you are well! I am reaching out regarding PCEF&#8217;s current recruitment for a new PCEF Committee member. I am hoping that you will consider applying to this opportunity as you would bring valuable expertise and perspective to the Committee. I am also hoping that you will consider sharing this important recruitment with your networks.

In this opportunity, the Committee specifically seeks a new member with demonstrated experience in the field of commercial renewable energy and energy efficiency.

Committee members are responsible for:

         ********   Recommending, updating, and amending 5-year climate investment plans to Portland City Council,

         ********   Evaluating the effectiveness of the program in achieving its goals, and

         ********   Optionally participating in subcommittees, grant application review panels, etc.

The Committee generally meets every other month for two to three hours each meeting with smaller briefing opportunities between meetings.

Here is a link to the full recruitment including eligibility criteria, time commitment, and conflicts of interest: https://www.governmentjobs.com/careers/portlandor/jobs/4334051/volunteer-non-paid-position-portland-clean-energy-fund-benefits-fund-committe.

For more information on the inaugural Climate Investment Plan (CIP) and current community responsive grants opportunity (RFP3), please visit: https://www.portland.gov/bps/cleanenergy/climate-investment/climate-investment-plan and https://www.portland.gov/bps/cleanenergy/guide-rfp-3

The application deadline is February 13, 2024.

Please feel free to reach out to me directly with any questions about this recruitment and serving on the PCEF Committee. I am happy to jump on a call to discuss.

We look forward to continuing our work in advancing racial and social justice by providing a clean energy future for our frontline communities.

Thank you,

Rachel Gilmore (she/her)
Administrative Specialist, Portland Clean Energy Fund
[email-masked]<mailto:[email-masked]>
971-421-3612

City of Portland | Bureau of Planning &amp; Sustainability
1810 SW 5th Ave., Suite 710 Portland, OR 97201
portland.gov/bps<http://portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services<https://www.portlandoregon.gov/bps/71701>, please contact 503-823-7700 or use City TTY 503-823-6868.